1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# BINDING - absorption binding correction for inelastic scattering
#*******************************************************************************
function [w]=binding(e0,e1,pz,name)
    global csdir;
    filename=[csdir '/' name '.bnd'];
    w=ones(length(pz),1);                                      # initial weights
    fid=fopen(filename,'rt');
    switch fid
    case -1
        disp('_______ No binding correction !');
    otherwise
        disp('_______ BINDING');
        nro=fscanf(fid,'%i\n',1);        # number of rows for probability matrix
        nco=fscanf(fid,'%i\n',1);                            # number of columns
        fgetl(fid);                                                 # space line
        fscanf(fid,'%e',1);                              # first 0 is not needed
        for i=1:nco-1
            emin(i)=fscanf(fid,'%e',1);
        endfor
        fscanf(fid,'%e',1);                              # first 0 is not needed
        for i=1:nco-1
            emax(i)=fscanf(fid,'%e',1);
        endfor
        line=fgetl(fid);                         # space line (2? -but it works)
        line=fgetl(fid);
        for j=1:nro                       # matrix of momentum and probabilities
        for i=1:nco
            pr(j,i)=fscanf(fid,'%e',1);
        endfor
        endfor
        fclose(fid);
        for i=1:nco-1
            ip=interp1(pr(:,1),pr(:,i+1),pz,'spline');# interpolated probability
            de=e0-e1;                                          # energy transfer
            bndtst=(de>emin(i))&(de<emax(i));                     # binding test
            w(bndtst)=w(bndtst).*ip(bndtst);                  # weight reduction
        endfor
    endswitch
endfunction
#*******************************************************************************