1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# COMPTLOAD - loading Compton profile data from text file Xx.cp where
# Xx is name of the element (material). To avoid problem with scattered
# energy < 0, momentum range is reduced to [-50:0.1:50] [a.u.].
#*******************************************************************************
function [pz,jpz]=comptload(matname)
    global csdir;
    filename=[csdir '/' matname '.cp'];     # set file name with Compton profile
    fid=fopen(filename,'rt');
    if fid==-1
        disp(['Error while opening file: ' filename]);  return;
    endif
    dat=reshape(fscanf(fid,'%e %e'),2,[])';               # read Compton profile
    x=dat(:,1);                                           # read momentum [a.u.]
    y=dat(:,2);                                      # read CP values [el./a.u.]
    fclose(fid);
    rang=min(abs([min(x),max(x)]));                  # find input momentum range
    if rang>50
        pz=[-50:0.1:50]';                                    # set maximum range
    else
        pz=[-rang:0.1:rang]';                               # choose given range
    endif
    #jpz=interp1(x,y,pz,'spline');                            # CP interpolation
    #jpz=jpz-min(jpz);  						                  		# make CP tending to 0
    jpz=exp(interp1(x,log(y),pz,'linear'));      # Josef's idea (better interp.)
endfunction
#*******************************************************************************
