1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# Convolution of distribution y(x) with Gaussian of given FWHM (resolution).
# CAUTION !!! Works well but needs correction for the ends of the ranges.
#*******************************************************************************
function[z]=convgauss(x,y,fwhm);
    if fwhm>0
        
        # additional points to add to left & right side:
        #dxl=x(2)-x(1);    dxr=x(length(x))-x(length(x)-1);
        #nl=floor(2*fwhm/dxl);    nr=floor(2*fwhm/(dxr));
        #xl=linspace(x(1)-nl*dxl,x(1)-dxl,nl)';
        #xr=linspace(x(length(x))+dxr,x(length(x))+nr*dxr,nr)';
        #yl(1:nl,1)=y(1);
        #yr(1:nr,1)=y(length(y));
        #x=[xl;x;xr];
        #y=[yl;y;yr];
        
        # convolution:
        sig=fwhm/(2*sqrt(2*log(2)));
        z=zeros(size(x,1),size(x,2));
        n=length(x);
        dx(1)=x(2)-x(1);
        dx(n)=x(n)-x(n-1);
        for i=2:n-1
            dx(i)=(x(i+1)-x(i-1))/2;
        endfor
        for i=1:n
            g=y(i)*dx(i)*exp(-(x-x(i)).^2/(2*sig^2))/(sig*sqrt(2*pi));
            z=z+g;
        endfor
        
        # cut additional points:
        #z=z(nl+1:length(z)-nr);
    endif
    if fwhm==0
        z=y;
    endif
    if fwhm<0
        disp('CONV: incorect value of resolution parameter FWHM');  abort;
    endif
endfunction
#*******************************************************************************
