1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# This function calculates the effective scattering angle based on the center
# of Compton peak and appropriate momentum scale.
#*******************************************************************************
function [mscl,eff_th]=momentumscale(en,spect)
    global src dtctr ni;
    th0=scancal();                              # scattering angle from geometry
    e0=pz2ec(src.energy,th0,0);               # predicted center of Compton peak
    de=1.0;    e1=e0-de;    e2=e0+de;           # ROI to interpolate real center   
    ex=en(all([en(:,1)>e1,en(:,1)<e2],2),:);                    # ROI extraction 
    ey=spect(all([en(:,1)>e1,en(:,1)<e2],2),:);
    
    p=polyfit(ex,ey,2)(end:-1:1);
    switch p(3)
    case 0 ctr=e0;
    otherwise ctr=-p(2)/(2*p(3));
    endswitch

#    figure;  hold on;                                               # test plot
#    plot(ex,ey,'*');
#    x=linspace(e1,e2);
#    plot(x,polyval(p(end:-1:1),x),'r');

    m=510.99891;
    eff_th=acos(1-m*((1/ctr)-(1/src.energy)));                # eff. scat. angle
    th(1:ni+1,1)=eff_th;                                 # table of scat. angles
    einc(1:ni+1,1)=src.energy;                      # table of incident energies
    mscl=ec2pz(einc,th,en);                                 # energy -> momentum
endfunction
#*******************************************************************************
