1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# MRAND - random number generator of a given discrete distribution (x,y), by
# using cumulative distribution method. Requires an initial interpolation
# in order to avoid the stairs-like shape of the random numbers distribution.
# Generates 'non' random numbers between <min(x),max(x)> with the probability
# given by any positive distribution y(x).
#*******************************************************************************
function [A]=mrand(non,x,y)
    if min(y)<0
        disp('Warning! Use MRAND only for positive distribution!');  return;
    endif
    F=cumsum(y(end:-1:1))(end:-1:1)-(y(1)+y)/2;# cumulative trapezoidal integral
    F/=F(1);
    X=rand(non,1);
    A=interp1(F,x,X,'linear');
endfunction
#*******************************************************************************
