1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# PLOTRESULTS - ploting final results
#     scale - "lin" for linear, "log" for logarythmic intensity scale
#*******************************************************************************
function plotresults(scale)
    global sp nsc en resdir cordir;
    specs=[sum(sp(:,1:nsc),2),sp(:,1),sum(sp(:,2:nsc),2),sum(sp(:,3:nsc),2)];
    f1=figure;       
    switch scale
    case 'lin'
        plot(en,specs);
    case 'log'
        semilogy(en,specs+1e-12);
    endswitch
    legend('total','single','multiple','triple+');
    title('Energetic spectra','color','blue','fontsize',16);
    xlabel('Energy [keV]','fontsize',12);
    ylabel('Intensity [photons/keV','fontsize',12);
    chdir([resdir cordir]);
    print(f1,'spectra.pdf');                              # saving spectra image
    disp(['      Figure saved in file:  ' resdir cordir '/spectra.pdf' ]);
endfunction
#*******************************************************************************