1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# PLOT_VEC   - plots wave ('k'), electric ('e') or normal ('n') vectors
#        loc - attachment point, loc=0 -> (0,0,0), ; loc=1 -> photon position
#    vectype - type of vectors to plot: 'k' - wave vectors, 'e' - electric
#              vectors, 'n' - normal vectors
#*******************************************************************************
function plot_vec(vectype,B,loc)
    global ver
    n=size(B.r,1);
    
    switch loc
        case 0  x0=zeros(n,1);  y0=zeros(n,1);  z0=zeros(n,1);
        case 1  x0=B.r(:,1);    y0=B.r(:,2);    z0=B.r(:,3);
        otherwise  disp('PLOT_VEC: Wrong attachment point parameter!');  return;
    endswitch
    
    switch vectype
    case 'k'
        x1=x0+B.k(:,1);  y1=y0+B.k(:,2);  z1=z0+B.k(:,3);
    case 'e'
        if or([ver=='1.0',ver=='3.0'])
        disp('PLOT_VEC: Electric vectors cannot be plotted in this version!');
        return;
        endif
        x1=x0+B.e(:,1);  y1=y0+B.e(:,2);  z1=z0+B.e(:,3);
    case 'n'
        if or([ver=='1.0',ver=='2.0'])
        disp('PLOT_VEC: Normal vectors cannot be plotted in this version!');
        return;
        endif
        x1=x0+B.n(:,1);  y1=y0+B.n(:,2);  z1=z0+B.n(:,3);
    otherwise
        disp('PLOT_VEC - unknown vector type to plot!');  abort;
    endswitch
    plot3([x0';x1'],[y0';y1'],[z0';z1']);
endfunction
#*******************************************************************************
