1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# 1) MROTX
# 2) MROTY
# 3) MROTZ
# 4) MROTXYZ
# 5) MROTZYX
# 6) MROTYZX
# 7) MROTXZY
# 8) MROTZXY
# 9) MROTYXZ
#*******************************************************************************
function [RX]=mrotx(a)                      # RX - rotation matrix around X axis
    a=a*pi/180;
    RX=[1,       0,        0;
        0,  cos(a),  -sin(a);
        0,  sin(a),   cos(a)];
endfunction
#*******************************************************************************
function [RY]=mroty(b)                      # RX - rotation matrix around Y axis
    b=b*pi/180;
    RY=[cos(b),  0,  sin(b);
             0,  1,       0;
       -sin(b),  0,  cos(b)];
endfunction
#*******************************************************************************
function [RZ]=mrotz(g)                      # RX - rotation matrix around Z axis
    g=g*pi/180;
    RZ=[cos(g),  -sin(g),  0;
        sin(g),   cos(g),  0;
             0,        0,  1];
endfunction
#*******************************************************************************
function [v1]=rotxyz(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RX*RY*RZ;
    v1=v0*R';
endfunction
#*******************************************************************************
function [v1]=rotzyx(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RZ*RY*RX;
    v1=v0*R';
endfunction
#*******************************************************************************
function [v1]=rotyzx(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RY*RZ*RX;
    v1=v0*R';
endfunction
#*******************************************************************************
function [v1]=rotxzy(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RX*RZ*RY;
    v1=v0*R';
endfunction
#*******************************************************************************
function [v1]=rotzxy(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RZ*RX*RY;
    v1=v0*R';
endfunction
#*******************************************************************************
function [v1]=rotyxz(v0,a,b,g)
    RX=mrotx(a);    RY=mroty(b);    RZ=mrotz(g);    R=RY*RX*RZ;
    v1=v0*R';
endfunction
#*******************************************************************************