1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# SHOWGEOMETRY - plots the sample, incident beam and detection cone in the
#                range defined by 'r' parameter (in [m])
#*******************************************************************************
function []=showgeometry(r,fig)
    if fig=='f'
        disp('_____________ SHOWGEOMETRY');
        figure;
        hold on;
        title('Scattering geometry','color','blue','fontsize',16);
        plot_sample('s');                              # drawing sample surfaces
        plot_beam(r);                                    # drawing incident beam
        plot_detcone(r);                                # drawing detection cone
        axis([-r r -r r -r r],"square");
        xlabel('X [m]','fontsize',12);
        ylabel('Y [m]','fontsize',12);
        zlabel('Z [m]','fontsize',12);
        view(70,20);
    endif
endfunction
#*******************************************************************************
function []=showgeometry2(r,fig,B)
    global src;
    if fig=='f'
        disp('_____________ SHOWGEOMETRY');
        figure;
        hold on;
        title('Scattering geometry','color','blue','fontsize',16);
        plot_sample('s');                              # drawing sample surfaces
        plot_beam(r);                                    # drawing incident beam
        plot_detcone(r);                                # drawing detection cone
        tr=abs(src.dist)+r/2;
        B1=B;
        B1.r=B1.r+B1.k.*[tr,tr,tr];
        plot_photons(B1,'r');                  # drawing photons near the sample
        axis([-r r -r r -r r],"square");
        xlabel('X [m]','fontsize',12);
        ylabel('Y [m]','fontsize',12);
        zlabel('Z [m]','fontsize',12);
        view(70,20);
    endif
endfunction