1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# SHOWRESULTS - prints basic simulation results on screen
#*******************************************************************************
function showresults()
    global ver simtime nloops nof nips nsc ev ev0 ph ph0 en sp;
#    clc;
    disp('');
    disp(['************** MUSCAT ' ver ' END (' num2str(nloops) ' LOOPS)']);
    disp(['     simulation time = ' simtime]);

    disp(['************** SUMMARY, EVENTS (PHOTONS):']);
    disp(['            incident = ' num2str(nloops*nof)]);
    disp(['           at sample = ' num2str(nips)]);
    if nloops*nof!=nips
        disp(['      outside sample = ' num2str(nloops*nof-nips)]);
        disp(['    outside detected = ' num2str(ev0) ' (' num2str(ph0) ')']);
    endif
    for i=1:nsc
        si=num2str(i);  evi=num2str(ev(i));  phi=num2str(ph(i));
        disp(['         ' si ' scattered = ' evi ' (' phi ')']);
    endfor

    disp(['************** SPECTRA INTENSITY RATIOS:']);
    totint=intsplin(en,sum(sp,2));
    for i=1:nsc
        intr(i)=intsplin(en,sp(:,i))/totint;
        disp(['             ' num2str(i) '/total = ' num2str(intr(i))]);
    endfor
    
    disp(['************** SIMULATION RESULTS:']);
    [pz,theff]=momentumscale(en,sp(:,1));    # pz scale & eff. scat. angle [rad]
    gth=scancal()*180/pi;                     # geometric scattering angle [deg]
    eth=theff*180/pi;                         # effective scattering angle [deg]
    disp(['    Scattering angle = ' num2str(gth) ' (' num2str(eth) ') [deg]']);
endfunction
#*******************************************************************************