1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# 1) VECNORM - vector normalization to given length
# 2) VECROT  - vector rotations around given axes
#*******************************************************************************
function [vn]=vecnorm(v,newl)
    v./=sqrt(sum(v.^2,2))(:,[1 1 1]);                       # normalization to 1
    vn=v*newl;                         # normalization to the new vector lengths
endfunction
#*******************************************************************************
function [vr]=vecrot(v,a,ang)
# v   - table of vectors to be rotated
# a   - table of axes (vectors)
# ang - table of angles
    cs=cos(ang);
    sn=sin(ang);
    a=vecnorm(a,1);              # normalization of rotation axes vector lengths
    vr=((1-cs).*sum(a.*v,2))(:,[1 1 1]).*a+cs(:,[1 1 1]).*v+sn(:,[1 1 1]).*...
       (-v(:,[2 3 1]).*a(:,[3 1 2])+v(:,[3 1 2]).*a(:,[2 3 1]));
endfunction
#*******************************************************************************
