1;	#for octave to recognize this as script file and load all functions
#*******************************************************************************
# WHEREISPHOTON - checking for the photon location (inside or outside sample).
#    Writing location number to the B.loc column:
#    0   - vacuum,
#    0.5 - sample surface,
#    1   - material 1 (2,3,4... - maybe in the future)
#*******************************************************************************
function [Bo]=whereisphoton(B)
    global smpl;
    Bo=B;
    xmin=smpl.trx;  xmax=xmin+smpl.width;                    # sample boundaries
    ymin=smpl.try;  ymax=ymin+smpl.length;
    zmin=smpl.trz;  zmax=zmin+smpl.height;
    # test for photons outside the sample
    testx=any([Bo.r(:,1)<xmin,Bo.r(:,1)>xmax],2);
    testy=any([Bo.r(:,2)<ymin,Bo.r(:,2)>ymax],2);
    testz=any([Bo.r(:,3)<zmin,Bo.r(:,3)>zmax],2);
    test=any([testx,testy,testz],2);         # true (T) if photon outside sample
    Bo.loc(test,:)=0;                     # set location for outside photons (0)
    # test for photons at the sample surface:
    testx=any([Bo.r(:,1)==xmin,Bo.r(:,1)==xmax],2);
    testy=any([Bo.r(:,2)==ymin,Bo.r(:,2)==ymax],2);
    testz=any([Bo.r(:,3)==zmin,Bo.r(:,3)==zmax],2);
    test=any([testx,testy,testz],2);         # true (T) if photon at the surface
    Bo.loc(test,:)=0.5;          # set location for photons at the surface (0.5)
    # check for photons inside the sample:
    testx=all([Bo.r(:,1)>xmin,Bo.r(:,1)<xmax],2);
    testy=all([Bo.r(:,2)>ymin,Bo.r(:,2)<ymax],2);
    testz=all([Bo.r(:,3)>zmin,Bo.r(:,3)<zmax],2);
    test=all([testx,testy,testz],2);          # true (T) if photon inside sample
    Bo.loc(test,:)=1;               # set location for photons inside sample (1)
endfunction
#*******************************************************************************
