# X-RAY SOURCE PARAMETERS:______________________________________________________
typ="rect";                           # source and slit shape ("rect" or "circ")
E=115.56;                                                         # energy [keV]
dE=0.001*E;                                                # energy spread [keV]
wx=0.000;                                               # X-ray source width [m]
hx=0.000;                                              # X-ray source height [m]
yx=-47;                                              # X-ray source distance [m]
ws=0.0018;                                                      # slit width [m]
hs=0.0005;                                                     # slit height [m]
ys=-1.0;                                                     # slit distance [m]
ax=0;                                             # rotation around X axis [deg]
bx=0;                                             # rotation around Y axis [deg]
cx=-6;                                            # rotation around Z axis [deg]
P1=-1.0;                                         # linear polarization factor P1
P2=0;                                            # linear polarization factor P2
P3=0;                                          # circular polarization factor P3

src=struct("type",typ,"energy",E,"spread",dE,"width",wx,"height",hx, ...
           "dist",yx,"slwidth",ws,"slheight",hs,"sldist",ys, ...
           "rotx",ax,"roty",bx,"rotz",cx,"P1",P1,"P2",P2,"P3",P3);

# DETECTOR PARAMETERS:__________________________________________________________
typ="circ";                                 # collimator type ("rect" or "circ")
zd=0.5;                                          # detector initial position [m]
lc=0.0;                                                  # collimator length [m]
xc=0.005;                # collimator width (x, "rect") or diameter ("circ") [m]
yc=0.005;                  # collimator width (y, "rect") or unused ("circ") [m]
ad=90;                                            # rotation around X axis [deg]
bd=9;                                             # rotation around Y axis [deg]
cd=0;                                             # rotation around Z axis [deg]
res=0.1;                                # energetic resolution of detector [keV]

dtctr=struct("type",typ,"inpos",zd,"colength",lc,"colx",xc,"coly",yc, ...
             "rotx",ad,"roty",bd,"rotz",cd,"res",res);
