# X-RAY SOURCE PARAMETERS:______________________________________________________
typ='rect';                           # source and slit shape ('rect' or 'circ')
E=115.56;                                                         # energy [keV]
dE=0.001*E;                                                # energy spread [keV]
wx=0.000001;          # X-ray source width ('rect') or diameter ('circ') [m] > 0
hx=0.000001;             # X-ray source height ('rect')or unused ('circ')[m] > 0
yx=-0.2;                                             # X-ray source distance [m]
ws=0.04;                       # slit width ('rect') or diameter ('circ')[m] > 0
hs=0.02;                        # slit height ('rect') or unused ('circ')[m] > 0
ys=0.0;                                                     # slit distance [m]
ax=-60;                                           # rotation around X axis [deg]
bx=30;                                            # rotation around Y axis [deg]
cx=0;                                           # rotation around Z axis [deg]
P1=0;                                            # linear polarization factor P1
P2=0;                                            # linear polarization factor P2
P3=1;                                          # circular polarization factor P3

src=struct('type',typ,'energy',E,'spread',dE,'width',wx,'height',hx, ...
           'dist',yx,'slwidth',ws,'slheight',hs,'sldist',ys, ...
           'rotx',ax,'roty',bx,'rotz',cx,'P1',P1,'P2',P2,'P3',P3);

# DETECTOR PARAMETERS:__________________________________________________________
typ='circ';                                 # collimator type ('rect' or 'circ')
zd=0.5;                                          # detector initial position [m]
lc=0.2;                                                  # collimator length [m]
xc=0.01;                # collimator width (x, 'rect') or diameter ('circ') [m]
yc=0.01;                  # collimator width (y, 'rect') or unused ('circ') [m]
ad=0;                                            # rotation around X axis [deg]
bd=70;                                            # rotation around Y axis [deg]
cd=0;                                             # rotation around Z axis [deg]
res=0.1;                                # energetic resolution of detector [keV]

dtctr=struct('type',typ,'inpos',zd,'colength',lc,'colx',xc,'coly',yc, ...
             'rotx',ad,'roty',bd,'rotz',cd,'res',res);
